nxt.http.responses

## Class TransactionResponseImpl

- java.lang.Object
- - nxt.http.responses.TransactionResponseImpl

- All Implemented Interfaces:
    TransactionResponse

      public class TransactionResponseImpl
      extends java.lang.Object
      implements TransactionResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionResponseImpl(JO response)`
    `TransactionResponseImpl(org.json.simple.JSONObject response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getAmount()`
    `JO` | `getAttachmentJson()`
    `long` | `getBlockId()`
    `int` | `getBlockTimestamp()`
    `int` | `getBlockTimeStamp()`
    `int` | `getChainId()`
    `int` | `getConfirmations()`
    `short` | `getDeadline()`
    `int` | `getEcBlockHeight()`
    `int` | `getECBlockHeight()`
    `long` | `getEcBlockId()`
    `long` | `getECBlockId()`
    `int` | `getExpiration()`
    `long` | `getFee()`
    `byte[]` | `getFullHash()`
    `long` | `getFxtTransaction()`
    `int` | `getHeight()`
    `short` | `getIndex()`
    `JO` | `getJson()`
    `long` | `getRandomSeed(ContractRunnerConfig config)`
    `java.lang.String` | `getRecipient()`
    `long` | `getRecipientId()`
    `java.lang.String` | `getRecipientRs()`
    `ChainTransactionId` | `getReferencedTransaction()`
    `java.lang.String` | `getSender()`
    `long` | `getSenderId()`
    `byte[]` | `getSenderPublicKey()`
    `java.lang.String` | `getSenderRs()`
    `byte[]` | `getSignature()`
    `byte[]` | `getSignatureHash()`
    `byte` | `getSubType()`
    `int` | `getTimestamp()`
    `long` | `getTransactionId()`
    `TransactionType` | `getTransactionType()`
    `byte` | `getType()`
    `java.lang.String` | `getUnsignedLongTransactionId()`
    `byte` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isBundled()`
    `boolean` | `isPhased()`
    `boolean` | `similar(TransactionResponse transactionResponse)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.http.responses.TransactionResponse

      `create`

- - ### Constructor Detail

    - #### TransactionResponseImpl

          public TransactionResponseImpl(org.json.simple.JSONObject response)

    - #### TransactionResponseImpl

          public TransactionResponseImpl(JO response)

  - ### Method Detail

    - #### getChainId

          public int getChainId()

      Specified by:
        `getChainId` in interface `TransactionResponse`

    - #### getSenderId

          public long getSenderId()

      Specified by:
        `getSenderId` in interface `TransactionResponse`

    - #### getSender

          public java.lang.String getSender()

      Specified by:
        `getSender` in interface `TransactionResponse`

    - #### getSenderRs

          public java.lang.String getSenderRs()

      Specified by:
        `getSenderRs` in interface `TransactionResponse`

    - #### getSenderPublicKey

          public byte[] getSenderPublicKey()

      Specified by:
        `getSenderPublicKey` in interface `TransactionResponse`

    - #### getRecipientId

          public long getRecipientId()

      Specified by:
        `getRecipientId` in interface `TransactionResponse`

    - #### getRecipient

          public java.lang.String getRecipient()

      Specified by:
        `getRecipient` in interface `TransactionResponse`

    - #### getRecipientRs

          public java.lang.String getRecipientRs()

      Specified by:
        `getRecipientRs` in interface `TransactionResponse`

    - #### getTransactionType

          public TransactionType getTransactionType()

      Specified by:
        `getTransactionType` in interface `TransactionResponse`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `TransactionResponse`

    - #### getBlockId

          public long getBlockId()

      Specified by:
        `getBlockId` in interface `TransactionResponse`

    - #### getIndex

          public short getIndex()

      Specified by:
        `getIndex` in interface `TransactionResponse`

    - #### getTimestamp

          public int getTimestamp()

      Specified by:
        `getTimestamp` in interface `TransactionResponse`

    - #### getBlockTimestamp

          public int getBlockTimestamp()

      Specified by:
        `getBlockTimestamp` in interface `TransactionResponse`

    - #### getDeadline

          public short getDeadline()

      Specified by:
        `getDeadline` in interface `TransactionResponse`

    - #### getExpiration

          public int getExpiration()

      Specified by:
        `getExpiration` in interface `TransactionResponse`

    - #### getAmount

          public long getAmount()

      Specified by:
        `getAmount` in interface `TransactionResponse`

    - #### getFee

          public long getFee()

      Specified by:
        `getFee` in interface `TransactionResponse`

    - #### getSignature

          public byte[] getSignature()

      Specified by:
        `getSignature` in interface `TransactionResponse`

    - #### getFullHash

          public byte[] getFullHash()

      Specified by:
        `getFullHash` in interface `TransactionResponse`

    - #### getType

          public byte getType()

      Specified by:
        `getType` in interface `TransactionResponse`

    - #### getSubType

          public byte getSubType()

      Specified by:
        `getSubType` in interface `TransactionResponse`

    - #### getVersion

          public byte getVersion()

      Specified by:
        `getVersion` in interface `TransactionResponse`

    - #### getECBlockHeight

          public int getECBlockHeight()

      Specified by:
        `getECBlockHeight` in interface `TransactionResponse`

    - #### getECBlockId

          public long getECBlockId()

      Specified by:
        `getECBlockId` in interface `TransactionResponse`

    - #### isPhased

          public boolean isPhased()

      Specified by:
        `isPhased` in interface `TransactionResponse`

    - #### getFxtTransaction

          public long getFxtTransaction()

      Specified by:
        `getFxtTransaction` in interface `TransactionResponse`

    - #### getTransactionId

          public long getTransactionId()

      Specified by:
        `getTransactionId` in interface `TransactionResponse`

    - #### getUnsignedLongTransactionId

          public java.lang.String getUnsignedLongTransactionId()

      Specified by:
        `getUnsignedLongTransactionId` in interface `TransactionResponse`

    - #### getConfirmations

          public int getConfirmations()

      Specified by:
        `getConfirmations` in interface `TransactionResponse`

    - #### getBlockTimeStamp

          public int getBlockTimeStamp()

      Specified by:
        `getBlockTimeStamp` in interface `TransactionResponse`

    - #### getReferencedTransaction

          public ChainTransactionId getReferencedTransaction()

      Specified by:
        `getReferencedTransaction` in interface `TransactionResponse`

    - #### getSignatureHash

          public byte[] getSignatureHash()

      Specified by:
        `getSignatureHash` in interface `TransactionResponse`

    - #### getEcBlockHeight

          public int getEcBlockHeight()

      Specified by:
        `getEcBlockHeight` in interface `TransactionResponse`

    - #### getEcBlockId

          public long getEcBlockId()

      Specified by:
        `getEcBlockId` in interface `TransactionResponse`

    - #### isBundled

          public boolean isBundled()

      Specified by:
        `isBundled` in interface `TransactionResponse`

    - #### getRandomSeed

          public long getRandomSeed(ContractRunnerConfig config)

      Specified by:
        `getRandomSeed` in interface `TransactionResponse`

    - #### getAttachmentJson

          public JO getAttachmentJson()

      Specified by:
        `getAttachmentJson` in interface `TransactionResponse`

    - #### getJson

          public JO getJson()

      Specified by:
        `getJson` in interface `TransactionResponse`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### similar

          public boolean similar(TransactionResponse transactionResponse)

      Specified by:
        `similar` in interface `TransactionResponse`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`